VirtualBox

Ticket #11107 (closed defect: fixed)

Opened 18 months ago

Last modified 5 months ago

Ubuntu 12.10 unable to use 3d acceleration. Fails to build drm -> base issue fixed as of VirtualBox 4.3

Reported by: Perryg Owned by:
Priority: major Component: guest additions
Version: VirtualBox 4.2.2 Keywords:
Cc: Guest type: Linux
Host type: Linux

Description

VBox video fails to build properly and 3D does not work. Unity test says it can't do 3D.

ubuntu@ubuntu-12:/usr/lib/nux$ ./unity_support_test -p
OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)
OpenGL version string:  2.1 Mesa 9.0

Not software rendered:    no
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       no

I understand that Ubuntu has decided to use Gallium but is there any way to make this work?

Log file and Xorg.0.log attached

Attachments

Ubuntu-12.10-2012-10-22-09-13-53.log Download (61.7 KB) - added by Perryg 18 months ago.
Xorg.0.log Download (24.5 KB) - added by Perryg 18 months ago.
glxinfo.txt Download (24.4 KB) - added by Perryg 18 months ago.
vboxadd-install.log Download (1.2 KB) - added by Perryg 18 months ago.
Xorg.1.log Download (30.4 KB) - added by michael 18 months ago.
X.Org log file with 3D working
mint-log-from-VBox.log Download (9.1 KB) - added by Perryg 17 months ago.
mint-glxinfo.tar.bz2 Download (3.0 KB) - added by Perryg 17 months ago.
VBox.log.zip Download (18.2 KB) - added by lkj 17 months ago.
Guest Log

Change History

Changed 18 months ago by Perryg

Changed 18 months ago by Perryg

comment:1 Changed 18 months ago by michael

What does glxinfo say?

comment:2 Changed 18 months ago by frank

Hmm, you say that vboxvideo fails to build, could you also attach content of /var/lib/vboxadd-install.log?

Changed 18 months ago by Perryg

Changed 18 months ago by Perryg

comment:3 Changed 18 months ago by Perryg

Not fails to build but fails to build properly, or in the sense that it does not work properly. All I can get is drm fails and no /dev/dri/card0 is created

comment:4 Changed 18 months ago by Perryg

Another strange thing that has me stumped is if I modprobe vboxvideo it creates the /dev/dri/card0, but if you try to run glxinfo, glxgears or unity test. the guest aborts immediately.

comment:5 Changed 18 months ago by Perryg

Oh and just a heads up Fedora 18 is using the same VMware opengl Gallium 0.4 on llvmpipe (LLVM 0x301. mesa says it supports both hardware and software rendering. This seems to be where all the problems start. Once in software mode it is impossible to get it to hardware mode using VBox (well at least for me).

comment:6 Changed 18 months ago by michael

llvmpipe is just the current generic software fallback if hardware acceleration fails. Gallium3D is just a toolkit which can optionally be used for building graphics stack drivers - llvmpipe is based on Gallium3D, vboxvideo is not, but as they work independently that shouldn't cause any problems.

I didn't look closely enough at your X server log:

[ 25.664] (EE) open /dev/dri/card0: No such file or directory

and

[ 26.022] (EE) VBoxVideo(0): DRIScreenInit failed, disabling DRI.

comment:7 Changed 18 months ago by Perryg

So are you saying this is working for you and not for me? I don't have a problem with Ubuntu 12.04 or Fedora 17 and the biggest change I could find was that they are now using a native software rendering approach so I naturally assumed that would be the reason. I especially found it interesting that the guest would abort if I modprobed vboxvideo and then logged out and in so the driver was active, then run glxinfo.

comment:8 Changed 18 months ago by michael

No, I can confirm that it fails here too. I will have a look to see what is happening.

comment:9 Changed 18 months ago by Perryg

Thanks, I was worrying it was me. :-)

comment:10 follow-up: ↓ 12 Changed 18 months ago by michael

I suspect that the reason is that Fedora and most likely Ubuntu too are removing/have removed support for DRI1 drivers <1>.

<1>  http://fedoraproject.org/wiki/Features/DRI2DriversOnly

comment:11 follow-up: ↓ 13 Changed 18 months ago by Craig Mason

I was able to get 3D working with a stable mouse cursor with the following:

sudo apt-add-repository ppa:a7x/bug1041063
sudo apt-get update
sudo apt-get install xserver-xorg-core=2:1.13.0-0ubuntu5+bug1041063.0

sudo modprobe vboxvideo

logout, login

/usr/lib/nux/unity_support_test -c -p

comment:12 in reply to: ↑ 10 Changed 18 months ago by Perryg

Replying to michael:

I suspect that the reason is that Fedora and most likely Ubuntu too are removing/have removed support for DRI1 drivers <1>.

<1>  http://fedoraproject.org/wiki/Features/DRI2DriversOnly

Looks like you're right. So what next? No hardware acceleration makes virtual machines that do not support fallback very difficult to work with.

comment:13 in reply to: ↑ 11 ; follow-up: ↓ 14 Changed 18 months ago by Perryg

Replying to Craig Mason:

I was able to get 3D working with a stable mouse cursor with the following:

sudo apt-add-repository ppa:a7x/bug1041063
sudo apt-get update
sudo apt-get install xserver-xorg-core=2:1.13.0-0ubuntu5+bug1041063.0

sudo modprobe vboxvideo

logout, login

/usr/lib/nux/unity_support_test -c -p

Yes this fixes the mouse issue but that is not what the ticket is about.

ubuntu@ubuntu-12:~$ cd /usr/lib/nux
ubuntu@ubuntu-12:/usr/lib/nux$ ./unity_support_test -p
OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)
OpenGL version string:  2.1 Mesa 9.0

Not software rendered:    no
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       no
ubuntu@ubuntu-12:/usr/lib/nux$ Xorg -version

X.Org X Server 1.13.0
Release Date: 2012-09-05
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-32-xen x86_64 Ubuntu
Current Operating System: Linux ubuntu-12 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=fa075542-1c61-4aa4-8950-6127e4ea431d ro quiet splash vt.handoff=7
Build Date: 24 October 2012  06:29:56AM
xorg-server 2:1.13.0-0ubuntu6+bug1041063.0 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.26.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
ubuntu@ubuntu-12:/usr/lib/nux$

comment:14 in reply to: ↑ 13 Changed 18 months ago by Craig Mason

Replying to Perryg:

Yes this fixes the mouse issue but that is not what the ticket is about.

As I said in my comment:

I was able to get 3D working with a stable mouse cursor with the following

Using the commands supplied, I get full 3D accelleration.

comment:15 Changed 18 months ago by Perryg

So you have /dev/dri/card0 and can run glxgears and it not abort?

Can you share how or what you did to be able to use vboxvideo?

Would it be possible to post your /var/log/Xorg.0.log so I can compare it with the one I posted here?

comment:16 Changed 18 months ago by michael

Tried it out here, and indeed "/usr/lib/nux/unity_support_test -c -p" says that it is using Chromium and that Compiz is supported.

I will attach my Xorg.1.log (the X server crashed previously) for reference. Looking at it suggests that on Ubuntu at least we may simply need to add a udev rule.

Changed 18 months ago by michael

X.Org log file with 3D working

comment:17 Changed 18 months ago by Perryg

And you can run glxgears without an abort? I have been able to get it to say 3D enabled but when trying to get it to actually render 3D the guest aborts.

I will install another clean 12.10 and see if it may be something I have done while testing in the meantime.

comment:18 Changed 18 months ago by michael

No, glxgears killed the guest. But Compiz definitely looked and felt accelerated.

comment:19 Changed 18 months ago by Perryg

Yes as I suspected. The software rendering will allow Compiz to work but if I kick in some real test where it actually has to hit the hardware it aborts the guest immediately. Nothing shows in VirtualBox or syslog of the guest. Its just like you pulled the plug on the guest.

comment:20 Changed 18 months ago by Perryg

OK found this now

Oct 24 12:29:11 ubuntu-12 kernel: [  960.928955] [drm] Initialized drm 1.1.0 20060810
Oct 24 12:29:11 ubuntu-12 kernel: [  960.944081] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Oct 24 12:29:11 ubuntu-12 kernel: [  960.944081] [drm] No driver support for vblank timestamp query.
Oct 24 12:29:11 ubuntu-12 kernel: [  960.944081] [drm] Initialized vboxvideo 1.0.0 20090303 for 0000:00:02.0 on minor 0
Oct 24 12:30:16 ubuntu-12 kernel: [ 1025.344338] show_signal_msg: 39 callbacks suppressed
Oct 24 12:30:16 ubuntu-12 kernel: [ 1025.344339] compiz[1774]: segfault at 200000032 ip 00007f022b4e7c4a sp 00007fff86e0ce90 error 4 in swrast_dri.so[7f022b4aa000+444000]

So it does crash software rendering when vboxvideo is enabled.

comment:21 Changed 18 months ago by Craig Mason

My Compiz works, but I hadn't tried glxgears - I thought I had, but I probably ran glxinfo.

comment:22 Changed 18 months ago by Perryg

Changeset 43742 does enable vboxvideo now so that part is fixed. However the real issue still exists.

Anything that actually tries to touch hardware aborts the guest.

Another thing I noticed is sometimes running glxinfo aborts the guest as does the unity test now that vboxvideo is enabled.

comment:23 Changed 18 months ago by michael

We didn't include that change in 4.2.4, as there were still too many open problems with 3D in Ubuntu 12.10 guests, and we thought that slower but more reliable software rendering was preferable until we have fixed them.

comment:24 Changed 18 months ago by Perryg

Understood.

I will watch SVN for changesets that address this issue and report back on results.

comment:25 Changed 18 months ago by Perryg

SVN updates released today to (public) /trunk seem to fix this issue. All testing apps as well as glxgears work now on Ubuntu 12.10. I still need to test this in Fedora 18 but since that is not a release I have not been too concerned.

Note: FPS seems slower than usual but then again everything in 12.10 seems slower. Just though I would mention it. ;)

ubuntu@ubuntu-12:~$ glxgears
OpenGL Warning: glFlushVertexArrayRangeNV not found in mesa table
OpenGL Warning: glVertexArrayRangeNV not found in mesa table
OpenGL Warning: glCombinerInputNV not found in mesa table
OpenGL Warning: glCombinerOutputNV not found in mesa table
OpenGL Warning: glCombinerParameterfNV not found in mesa table
OpenGL Warning: glCombinerParameterfvNV not found in mesa table
OpenGL Warning: glCombinerParameteriNV not found in mesa table
OpenGL Warning: glCombinerParameterivNV not found in mesa table
OpenGL Warning: glFinalCombinerInputNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterivNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glDeleteFencesNV not found in mesa table
OpenGL Warning: glFinishFenceNV not found in mesa table
OpenGL Warning: glGenFencesNV not found in mesa table
OpenGL Warning: glGetFenceivNV not found in mesa table
OpenGL Warning: glIsFenceNV not found in mesa table
OpenGL Warning: glSetFenceNV not found in mesa table
OpenGL Warning: glTestFenceNV not found in mesa table
281 frames in 5.0 seconds = 56.080 FPS
292 frames in 5.0 seconds = 58.223 FPS
299 frames in 5.0 seconds = 59.617 FPS
289 frames in 5.0 seconds = 57.625 FPS

comment:26 Changed 18 months ago by misha

Right, the issue should be fixed now. Here is a test build that could be used for testing.
One should update both VBox host installation and Guest Additions.

 http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81738-Linux_amd64.run

comment:27 follow-ups: ↓ 30 ↓ 33 Changed 18 months ago by misha

Let me know if you need a test build for some other host platform.
As for performance, could you try running glxgears with software-emulated 3D

LIBGL_ALWAYS_SOFTWARE=1 glxgears

and with Hardware 3D (as usual) and post fps you get for both cases here.
Also in case you have glxgears working better with 3D hardware acceleration on some other guest platform, could you specify which fps you get and what platform is that.

comment:28 Changed 18 months ago by Perryg

For myself I build on Linux 32 and 64. I don't do Windows hosts at all these days. Way too much effort to build and well....

Here is another test this time Ubuntu desktop. The previous test was on a laptop and I suspect the reason for the really low FPS.

With hardware:

ubuntu@ubuntu-12:~$ glxgears
OpenGL Warning: glFlushVertexArrayRangeNV not found in mesa table
OpenGL Warning: glVertexArrayRangeNV not found in mesa table
OpenGL Warning: glCombinerInputNV not found in mesa table
OpenGL Warning: glCombinerOutputNV not found in mesa table
OpenGL Warning: glCombinerParameterfNV not found in mesa table
OpenGL Warning: glCombinerParameterfvNV not found in mesa table
OpenGL Warning: glCombinerParameteriNV not found in mesa table
OpenGL Warning: glCombinerParameterivNV not found in mesa table
OpenGL Warning: glFinalCombinerInputNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterivNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glDeleteFencesNV not found in mesa table
OpenGL Warning: glFinishFenceNV not found in mesa table
OpenGL Warning: glGenFencesNV not found in mesa table
OpenGL Warning: glGetFenceivNV not found in mesa table
OpenGL Warning: glIsFenceNV not found in mesa table
OpenGL Warning: glSetFenceNV not found in mesa table
OpenGL Warning: glTestFenceNV not found in mesa table
523 frames in 5.0 seconds = 104.495 FPS
615 frames in 5.0 seconds = 122.889 FPS
905 frames in 5.0 seconds = 180.984 FPS
863 frames in 5.0 seconds = 172.209 FPS
^Cubuntu@ubuntu-12:~$ 

With software:

ubuntu@ubuntu-12:~$ LIBGL_ALWAYS_SOFTWARE=1 glxgears
169 frames in 5.0 seconds = 33.745 FPS
231 frames in 5.0 seconds = 46.166 FPS
273 frames in 5.0 seconds = 54.427 FPS
267 frames in 5.0 seconds = 53.376 FPS
^C
ubuntu@ubuntu-12:~$ 

Finally host (Ubuntu 12.04):

perry@perry-desktop:~$ glxgears
15385 frames in 5.0 seconds = 3076.994 FPS
16759 frames in 5.0 seconds = 3351.217 FPS
16304 frames in 5.0 seconds = 3260.731 FPS
16704 frames in 5.0 seconds = 3340.675 FPS
^C
perry@perry-desktop:~$ 

I just tested Fedora 18 and it has the same or close to same FPS as Ubuntu 12.10

comment:29 Changed 18 months ago by Perryg

Just so we see apples to apples. Mint 13 has a better FPS. Based off Ubuntu but I am running the cinnamon DT instead of Unity or Gnome 3 the ones above were. Host Ubuntu 12.04 Desktop.

Hardware:

mint@mint-13 ~ $ glxgears
620 frames in 5.0 seconds = 123.963 FPS
655 frames in 5.0 seconds = 130.875 FPS
711 frames in 5.1 seconds = 140.633 FPS
682 frames in 5.0 seconds = 136.384 FPS
mint@mint-13 ~ $ 

Software:

mint@mint-13 ~ $ LIBGL_ALWAYS_SOFTWARE=1 glxgears
201 frames in 5.0 seconds = 40.088 FPS
195 frames in 5.0 seconds = 38.990 FPS
156 frames in 5.0 seconds = 31.032 FPS
145 frames in 5.0 seconds = 28.850 FPS
mint@mint-13 ~ $ 

comment:30 in reply to: ↑ 27 Changed 18 months ago by Craig Mason

Replying to misha:

Let me know if you need a test build for some other host platform.
As for performance, could you try running glxgears with software-emulated 3D

Could I get a Windows-host build? (x64 if it matters)

Thanks

comment:31 Changed 18 months ago by michael

Here you go. It contains both 32-bit and 64-bit versions.

 http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81822-Win.exe

comment:32 Changed 18 months ago by Craig Mason

That's better. Windows host with Ubuntu 12.10 guest running Unity:

~$ glxgears 
OpenGL Warning: glFlushVertexArrayRangeNV not found in mesa table
OpenGL Warning: glVertexArrayRangeNV not found in mesa table
OpenGL Warning: glCombinerInputNV not found in mesa table
OpenGL Warning: glCombinerOutputNV not found in mesa table
OpenGL Warning: glCombinerParameterfNV not found in mesa table
OpenGL Warning: glCombinerParameterfvNV not found in mesa table
OpenGL Warning: glCombinerParameteriNV not found in mesa table
OpenGL Warning: glCombinerParameterivNV not found in mesa table
OpenGL Warning: glFinalCombinerInputNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterivNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glDeleteFencesNV not found in mesa table
OpenGL Warning: glFinishFenceNV not found in mesa table
OpenGL Warning: glGenFencesNV not found in mesa table
OpenGL Warning: glGetFenceivNV not found in mesa table
OpenGL Warning: glIsFenceNV not found in mesa table
OpenGL Warning: glSetFenceNV not found in mesa table
OpenGL Warning: glTestFenceNV not found in mesa table
5143 frames in 5.0 seconds = 1027.932 FPS
5384 frames in 5.0 seconds = 1076.411 FPS
5402 frames in 5.0 seconds = 1080.385 FPS
5467 frames in 5.0 seconds = 1093.395 FPS

comment:33 in reply to: ↑ 27 ; follow-up: ↓ 34 Changed 18 months ago by PassinThru

Replying to misha:

Let me know if you need a test build for some other host platform.

A Mac OS X version would make my life complete. Please?

Thanks.

comment:34 in reply to: ↑ 33 ; follow-ups: ↓ 36 ↓ 40 Changed 18 months ago by misha

Replying to PassinThru:

A Mac OS X version would make my life complete. Please?

Here it is:  http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81864-OSX.dmg

comment:35 Changed 18 months ago by DanW

I can confirm this is working, Windows 64-bit, Ubuntu 12.10 guest.

Mouse cursor seems to be acting sensibly too.

[11:23:13] dan:~ git:(master*) $ /usr/lib/nux/unity_support_test -p
OpenGL Warning: glFlushVertexArrayRangeNV not found in mesa table
OpenGL Warning: glVertexArrayRangeNV not found in mesa table
OpenGL Warning: glCombinerInputNV not found in mesa table
OpenGL Warning: glCombinerOutputNV not found in mesa table
OpenGL Warning: glCombinerParameterfNV not found in mesa table
OpenGL Warning: glCombinerParameterfvNV not found in mesa table
OpenGL Warning: glCombinerParameteriNV not found in mesa table
OpenGL Warning: glCombinerParameterivNV not found in mesa table
OpenGL Warning: glFinalCombinerInputNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterivNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glDeleteFencesNV not found in mesa table
OpenGL Warning: glFinishFenceNV not found in mesa table
OpenGL Warning: glGenFencesNV not found in mesa table
OpenGL Warning: glGetFenceivNV not found in mesa table
OpenGL Warning: glIsFenceNV not found in mesa table
OpenGL Warning: glSetFenceNV not found in mesa table
OpenGL Warning: glTestFenceNV not found in mesa table
OpenGL vendor string:   Humper
OpenGL renderer string: Chromium
OpenGL version string:  2.1 Chromium 1.9

Not software rendered:    yes
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       yes

Thanks for the fix!

comment:36 in reply to: ↑ 34 Changed 18 months ago by AnthonyTW

Replying to misha:

Replying to PassinThru:

A Mac OS X version would make my life complete. Please?

Here it is:  http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81864-OSX.dmg

You mentioned before that both the application along with the guest additions should be updated. Since I didn't see an update to the Virtual Box guest additions extension here, is there a method to derive a package from the installation medium you provided?

comment:37 follow-up: ↓ 38 Changed 18 months ago by misha

Sure, VBox VM menu "Install Guest Additions" should work. The Guast Additions iso image actually gets placed in VBox install dir on VBox host installation.

comment:38 in reply to: ↑ 37 Changed 18 months ago by AnthonyTW

Replying to misha:

Sure, VBox VM menu "Install Guest Additions" should work. The Guast Additions iso image actually gets placed in VBox install dir on VBox host installation.

Thanks for the information. My concern is with the VirtualBox extension pack (the .vbox-extpack file) since the installation package does not include this (from what I can tell). Should the 4.2.4 version be used?

Edit: I should mention I assumed this was why the fix was not working, but I'm not sure about this now since it works fine in Fedora. In Ubuntu 12.10 the system indicates 3D acceleration is enabled (yay) but the windows seem to disappear (I have to move them around to keep them updating). This could be because I originally installed the guest additions from the Ubuntu repository. I'll try with a fresh install...

Last edited 18 months ago by AnthonyTW (previous) (diff)

comment:39 Changed 18 months ago by Perryg

I know it isn't supported yet but thought you should know. Ubuntu 13.04 has the same problem. But the new fix does not work. It does not crash but you can not get HW acceleration, only software acceleration.

ubuntu@ubuntu-13:/usr/lib/nux$ ./unity_support_test -p
OpenGL vendor string:   VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)
OpenGL version string:  2.1 Mesa 9.0

Not software rendered:    no
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       no
ubuntu@ubuntu-13:/usr/lib/nux$

Guest Additions 4.2.51_OSE r43841

comment:40 in reply to: ↑ 34 ; follow-up: ↓ 41 Changed 18 months ago by fpn

I do get Unity 3D support now, but the display is totally messed up.

  • Terminal becomes transparent, when I type I see some letters
  • Unity Panel is not visible, I see it if I activate it, but then it also becomes transparent
  • Google Chrome looks kind of OK
  • No window manager decorations e.g. window frames

So I needed to turn off 3D in settings for now.

I loved the speed of 3D acceleration though!

Replying to misha:

Replying to PassinThru:

A Mac OS X version would make my life complete. Please?

Here it is:  http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81864-OSX.dmg

comment:41 in reply to: ↑ 40 Changed 18 months ago by AnthonyTW

This is what I experienced, even on a fresh Ubuntu install (I thought it might have been an issue with my previous installation given I used Ubuntu's packaged guest additions, but the new box has the same symptoms).

This is running Ubuntu 12.10 64-bit guest on OS X 10.8.2 host using the same software versions as fpn.

Replying to fpn:

I do get Unity 3D support now, but the display is totally messed up.

  • Terminal becomes transparent, when I type I see some letters
  • Unity Panel is not visible, I see it if I activate it, but then it also becomes transparent
  • Google Chrome looks kind of OK
  • No window manager decorations e.g. window frames

So I needed to turn off 3D in settings for now.

I loved the speed of 3D acceleration though!

Replying to misha:

Replying to PassinThru:

A Mac OS X version would make my life complete. Please?

Here it is:  http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-81864-OSX.dmg

comment:42 Changed 18 months ago by misha

comment:43 follow-up: ↓ 44 Changed 18 months ago by towadako

I can report a similar issue to fpm. Identical configuration to fpm:

Ubuntu 12.10 64bit guest, runnning gnome-shell. /usr/lib/nux$ ./unity_support_test -p reports hardware rendering is working.

However: windows do not refresh immediately. For example:

  1. gnome-terminal. Enter a few characters. Nothing changes in terminal window. Switch to overview mode (alt-f1). Entered text is visible in small preview window. Switch back to normal mode (alt-f1). Entered text is visible.
  2. Open firefox. Select bookmarks menu. Menu usually (about 75% of times) appears as black box, the size of bookmarks menu.
  3. Open webpage in firefox. Scroll to end of page. No scrolling is displayed. Switch to overview mode (alt-f1). Small preview window is seen in scrolled state. Switch back to normal mode (alt-f1). Page is scrolled to end.

And so on...

comment:44 in reply to: ↑ 43 ; follow-up: ↓ 45 Changed 17 months ago by lxe

I was able to eliminate most of these by setting Framebuffer object setting in "OpenGL" config plugin in CCSM to "off"

Replying to towadako:

I can report a similar issue to fpm. Identical configuration to fpm:

Ubuntu 12.10 64bit guest, runnning gnome-shell. /usr/lib/nux$ ./unity_support_test -p reports hardware rendering is working.

However: windows do not refresh immediately. For example:

  1. gnome-terminal. Enter a few characters. Nothing changes in terminal window. Switch to overview mode (alt-f1). Entered text is visible in small preview window. Switch back to normal mode (alt-f1). Entered text is visible.
  2. Open firefox. Select bookmarks menu. Menu usually (about 75% of times) appears as black box, the size of bookmarks menu.
  3. Open webpage in firefox. Scroll to end of page. No scrolling is displayed. Switch to overview mode (alt-f1). Small preview window is seen in scrolled state. Switch back to normal mode (alt-f1). Page is scrolled to end.

And so on...

comment:45 in reply to: ↑ 44 Changed 17 months ago by towadako

This has made no difference to the problem I describe below.

(Thanks though lxe for telling me about CCSM - it's a good tool.)

Replying to lxe:

I was able to eliminate most of these by setting Framebuffer object setting in "OpenGL" config plugin in CCSM to "off"

Replying to towadako:

I can report a similar issue to fpm. Identical configuration to fpm:

Ubuntu 12.10 64bit guest, runnning gnome-shell. /usr/lib/nux$ ./unity_support_test -p reports hardware rendering is working.

However: windows do not refresh immediately. For example:

  1. gnome-terminal. Enter a few characters. Nothing changes in terminal window. Switch to overview mode (alt-f1). Entered text is visible in small preview window. Switch back to normal mode (alt-f1). Entered text is visible.
  2. Open firefox. Select bookmarks menu. Menu usually (about 75% of times) appears as black box, the size of bookmarks menu.
  3. Open webpage in firefox. Scroll to end of page. No scrolling is displayed. Switch to overview mode (alt-f1). Small preview window is seen in scrolled state. Switch back to normal mode (alt-f1). Page is scrolled to end.

And so on...

comment:46 follow-up: ↓ 55 Changed 17 months ago by Apotekarnes

Hello, is there any

to a new test build, that fixes the 3D acceleration problem on OS X host system and Ubuntu guest system?

thank you!

comment:47 follow-up: ↓ 48 Changed 17 months ago by Perryg

@misha,

Is there some way to change the detection and loading of the VBox DRI? What I am seeing is the first boot when the OS detects that hardware acceleration is not available it reverts to (LLVM) and for some reason the VBox module gets loaded but not actually used. Logging off and back in a time or two, or resetting the DT usually fixes this, but is very annoying.

comment:48 in reply to: ↑ 47 Changed 17 months ago by misha

Replying to Perryg:

@misha,

Is there some way to change the detection and loading of the VBox DRI? What I am seeing is the first boot when the OS detects that hardware acceleration is not available it reverts to (LLVM) and for some reason the VBox module gets loaded but not actually used. Logging off and back in a time or two, or resetting the DT usually fixes this, but is very annoying.

Yes, and we're going to fix that in a bit, just after completing some more urgent 3D-related tatsk we have here.
Is this issue just a question of vbox dri library being loaded, yet unused? If so, then why do you feel it's so annoying?

comment:49 follow-up: ↓ 50 Changed 17 months ago by Perryg

@misha,

Because it requires a minimum logoff and back on after a new boot (sometime several) to get direct rendering to work.

Up to that point even a terminal is sluggish on any OS that has a modern DT since everything must use software rendering now until you get the HW rendering to work. I am glad you know what needs to be done and will wait patiently for the fix.

This wasn't so much of an issue when we had fallback as one could choose the 2D DT and not worry about it, but they removed the fallback and now we must deal with it.

comment:50 in reply to: ↑ 49 ; follow-up: ↓ 51 Changed 17 months ago by misha

Replying to Perryg: What kind of rendering issues do you see, and under which guest OS version(s) exactly? Could you give some screen-shots?

comment:51 in reply to: ↑ 50 ; follow-up: ↓ 52 Changed 17 months ago by Perryg

Replying to misha:

Replying to Perryg: What kind of rendering issues do you see, and under which guest OS version(s) exactly? Could you give some screen-shots?

Screenshots will not show what I am talking about. I see this on the newer OSes that have chosen to eliminate everything but their 3D desktops (Gnome3) and decided to use the gallium LLVM and software rendering if they can not detect you have a video card that supports direct rendering at boot time.

There are no drop outs or screen corruption it is just everything is really sluggish. I can type faster than it is replayed on the screen and I don't type that fast. Scrolling is slow and jerky. Opening and closing application windows is slow. That kind of thing. I can help this by turning off all the animated decorations in Compiz but it does not work around everything.

Once I get direct rendering to work (Chromium instead of gallium) everything works as it should.

comment:52 in reply to: ↑ 51 Changed 17 months ago by misha

Replying to Perryg: Sorry, I think there is still some misunderstanding here.
The way I understand you is:

  1. (according to your comment 47) if you disable 3D acceleration (e.g. in VM settings), and then boot the guest, you see vbox dri still getting loaded
  2. (according to your later comments) software rendering works slower in that case (i.e. in the case of 3D is disabled on host and vbox dri is loaded in guest).

Are you saying that preventing vbox dri from loading in case 3D is disabled makes the software-based rendering better?
With 3D disabled on host, software rendering fallback should be used, and vbox dri should not affect it in any way.

comment:53 Changed 17 months ago by Perryg

Yes there is a misunderstanding here and I am more than likely to blame. I should have created another ticket. I will if that would help.

  1. Leave 3D enabled in the guest settings.
  2. Boot the guest and it will fail the test to detect direct rendering and instead use the guests software rendering, which is very sluggish.
  3. Log out and back in a time or two and the guest will finally detect and allow the VBox direct rendering and everything is as it should be.

If I run glxinfo | grep direct and it returns no everything is sluggish. Log out and back in and run the same until it returns yes then everything is as it should be.

It appears to be a load order where it does not detect the VBox drivers at boot and reverts to the guest software rendering, but if you wait a while long enough before logging in (only works rarely) or you log off and back in the guest detects the VBox video and uses direct rendering.

comment:54 follow-up: ↓ 56 Changed 17 months ago by misha

Ok, thanks for the explanation. I personally never seen issues like this.
Could you try settings CR_DEBUG_FILE_PREFIX=/path/to/log/file_prefix environment variable globally in guest (so that guest window manager, compiz or gnome, whatever, see it on startup), re-boot/re-login the guest and post here the generated log files please?

comment:55 in reply to: ↑ 46 Changed 17 months ago by misha

Replying to Apotekarnes:

Hello, is there any

to a new test build, that fixes the 3D acceleration problem on OS X host system and Ubuntu guest system?

thank you!

Here it is:  http://www.virtualbox.org/download/testcase/VirtualBox-4.2.5-82494-OSX.dmg  http://www.virtualbox.org/download/testcase/Oracle_VM_VirtualBox_Extension_Pack-4.2.5-82494.vbox-extpack

comment:56 in reply to: ↑ 54 ; follow-up: ↓ 58 Changed 17 months ago by Perryg

Replying to misha:

Ok, thanks for the explanation. I personally never seen issues like this.
Could you try settings CR_DEBUG_FILE_PREFIX=/path/to/log/file_prefix environment variable globally in guest (so that guest window manager, compiz or gnome, whatever, see it on startup), re-boot/re-login the guest and post here the generated log files please?

I can't get the setting you provide to generate anything. Here is what I get at first boot when checking the OGL (this is sluggish because it is using software rasterization)

mint@mint-LT ~ $ glxinfo | grep OpenGL
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)
OpenGL version string: 2.1 Mesa 9.0
OpenGL shading language version string: 1.20
OpenGL extensions:

And this is what I get at log off an back in (much faster since it is using Hardware) although the other errors may need to be addressed it doesn't seem to cause a large problem.

mint@mint-LT ~ $ glxinfo | grep OpenGL
OpenGL Warning: glFlushVertexArrayRangeNV not found in mesa table
OpenGL Warning: glVertexArrayRangeNV not found in mesa table
OpenGL Warning: glCombinerInputNV not found in mesa table
OpenGL Warning: glCombinerOutputNV not found in mesa table
OpenGL Warning: glCombinerParameterfNV not found in mesa table
OpenGL Warning: glCombinerParameterfvNV not found in mesa table
OpenGL Warning: glCombinerParameteriNV not found in mesa table
OpenGL Warning: glCombinerParameterivNV not found in mesa table
OpenGL Warning: glFinalCombinerInputNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterfvNV not found in mesa table
OpenGL Warning: glGetCombinerOutputParameterivNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterfvNV not found in mesa table
OpenGL Warning: glGetFinalCombinerInputParameterivNV not found in mesa table
OpenGL Warning: glDeleteFencesNV not found in mesa table
OpenGL Warning: glFinishFenceNV not found in mesa table
OpenGL Warning: glGenFencesNV not found in mesa table
OpenGL Warning: glGetFenceivNV not found in mesa table
OpenGL Warning: glIsFenceNV not found in mesa table
OpenGL Warning: glSetFenceNV not found in mesa table
OpenGL Warning: glTestFenceNV not found in mesa table
OpenGL vendor string: Humper
OpenGL renderer string: Chromium
OpenGL version string: 2.1 Chromium 1.9
OpenGL shading language version string: 3.30 NVIDIA via Cg compiler
OpenGL extensions:

In both cases I check and /dev/dri/card0 exists. and this is what Xorg.0.log has to say about it

first boot

mint@mint-14 ~ $ cat /var/log/Xorg.0.log | grep EE
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    45.729] Initializing built-in extension MIT-SCREEN-SAVER
[    45.788] (EE) open /dev/dri/card0: No such file or directory
[    46.766] (EE) [drm] drmOpen failed.
[    46.767] (EE) VBoxVideo(0): DRIScreenInit failed, disabling DRI.
[    47.232] (II) XINPUT: Adding extended input device "VirtualBox mouse integration" (type: TOUCHSCREEN, id 8)
[    47.243] (II) XINPUT: Adding extended input device "VirtualBox USB Tablet" (type: TOUCHSCREEN, id 9)
[    47.470] (EE) modesetting(G0): KMS doesn't support dumb interface
[    47.470] (EE) modesetting(G0): KMS setup failed


Notice it says that /dev/dri/card0 does not exist but it is there

Now log off and in

mint@mint-14 ~ $ cat /var/log/Xorg.0.log | grep EE
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   761.374] Initializing built-in extension MIT-SCREEN-SAVER
[   761.494] (EE) AIGLX error: vboxvideo does not export required DRI extension
[   761.495] (EE) AIGLX: reverting to software rendering
[   761.640] (II) XINPUT: Adding extended input device "VirtualBox mouse integration" (type: TOUCHSCREEN, id 8)
[   761.660] (II) XINPUT: Adding extended input device "VirtualBox USB Tablet" (type: TOUCHSCREEN, id 9)
mint@mint-14 ~ $ 


As you see no DRM errors after logout and in and speed is back to normal.

comment:57 follow-up: ↓ 60 Changed 17 months ago by Apotekarnes

Unfortunately, the new OS X build has the following problem:

3D acceleration causes the left-sided Dash-bar to crash immediately. Also all upper window bars disappear, so it is not possible to close or minimize any window. Navigation is impossible that way. Also many objects appear only if the cursor moves over them. The behavior of the orange selection area is fast now, however.

What can I do to prevent Unity/Compiz/Dash-bar from crashing/disappearing?

Last edited 17 months ago by Apotekarnes (previous) (diff)

comment:58 in reply to: ↑ 56 ; follow-up: ↓ 59 Changed 17 months ago by misha

Replying to Perryg:

I can't get the setting you provide to generate anything.

Do you get the vbox chromium logs generated once it starts using direct rendering though?
(Just want to ensure you configured the logging correctly)
Also, am I getting you right, that when this issue occurs, all and any GL program (e.g. glxgears) you run until re-login use software rendering?

comment:59 in reply to: ↑ 58 Changed 17 months ago by Perryg

Replying to misha:

Replying to Perryg:

I can't get the setting you provide to generate anything.

Do you get the vbox chromium logs generated once it starts using direct rendering though?
(Just want to ensure you configured the logging correctly)
Also, am I getting you right, that when this issue occurs, all and any GL program (e.g. glxgears) you run until re-login use software rendering?

I probably didn't configure it correctly as I don't see anything getting generated. I placed CR_DEBUG_FILE_PREFIX=/path/to/log/file_prefix in /etc/environment (global) and even in ~/.profile. Where would the logs be? I changed to to CR_DEBUG_FILE_PREFIX=/home/mint/file_prefix thinking the path should be absolute.

Everything including glxgears is sluggish when it first boots. Only when a log out and in and the dri/drm starts actually working does it actually speed back up to normal.

comment:60 in reply to: ↑ 57 ; follow-up: ↓ 64 Changed 17 months ago by michael

Replying to Apotekarnes:

Unfortunately, the new OS X build has the following problem:

3D acceleration causes the left-sided Dash-bar to crash immediately. Also all upper window bars disappear, so it is not possible to close or minimize any window. Navigation is impossible that way. Also many objects appear only if the cursor moves over them. The behavior of the orange selection area is fast now, however.

What can I do to prevent Unity/Compiz/Dash-bar from crashing/disappearing?

I see the same thing on my Ubuntu host system with Intel Arrandale graphics. Switch to a virtual terminal and run DISPLAY=:0.0 unity --replace. Once it has been running for more than about thirty seconds it is usually stable.

Changed 17 months ago by Perryg

comment:61 Changed 17 months ago by Perryg

misha,

Maybe this log will help. I start mint and login, then log off and in. VBox does not show the normal 3D entries in the bottom of the log file until I log off and back in.

Changed 17 months ago by Perryg

comment:62 Changed 17 months ago by Perryg

OK I got the command to work finally, don't know why it did not to begin with, but I have attached the 3 files as mint-glxinfo.tar.bz2 above. Funny thing is nothing is generated at first boot just like the 3D messages at the bottom of the VBox log file until I log off and in. Then I see both.

comment:63 Changed 17 months ago by lkj

I'm having issues with Unity on the 4.2.5 version for OSX. It is not rendering Unity correctly and in talking to PerryG, it seems the Linux version of VB is not having the same problem. Something in the OSX code perhaps. https://lh3.googleusercontent.com/-MWaZ5zk0Htk/UMAKadfNltI/AAAAAAAAOSA/pUj1TzUaxzY/s720/screenshot_01.jpg

Last edited 17 months ago by lkj (previous) (diff)

Changed 17 months ago by lkj

Guest Log

comment:64 in reply to: ↑ 60 ; follow-up: ↓ 65 Changed 17 months ago by Apotekarnes

Replying to michael:

Replying to Apotekarnes:

Unfortunately, the new OS X build has the following problem:

3D acceleration causes the left-sided Dash-bar to crash immediately. Also all upper window bars disappear, so it is not possible to close or minimize any window. Navigation is impossible that way. Also many objects appear only if the cursor moves over them. The behavior of the orange selection area is fast now, however.

What can I do to prevent Unity/Compiz/Dash-bar from crashing/disappearing?

I see the same thing on my Ubuntu host system with Intel Arrandale graphics. Switch to a virtual terminal and run DISPLAY=:0.0 unity --replace. Once it has been running for more than about thirty seconds it is usually stable.

This command does not help :( No changes!

comment:65 in reply to: ↑ 64 Changed 17 months ago by michael

Replying to Apotekarnes:

Replying to michael:

Replying to Apotekarnes:

Unfortunately, the new OS X build has the following problem:

3D acceleration causes the left-sided Dash-bar to crash immediately. Also all upper window bars disappear, so it is not possible to close or minimize any window. Navigation is impossible that way. Also many objects appear only if the cursor moves over them. The behavior of the orange selection area is fast now, however.

What can I do to prevent Unity/Compiz/Dash-bar from crashing/disappearing?

I see the same thing on my Ubuntu host system with Intel Arrandale graphics. Switch to a virtual terminal and run DISPLAY=:0.0 unity --replace. Once it has been running for more than about thirty seconds it is usually stable.

This command does not help :( No changes!

Still, since I see this on a physical system when VirtualBox is not running it is most likely a Unity issue rather than a VirtualBox one, so you are probably best taking it to Launchpad.

comment:66 follow-up: ↓ 67 Changed 17 months ago by cipman

Any fresh links to enable 3D accel for a win7 64 host with a linux guest (ubuntu 12.10) please? Thank you.

comment:67 in reply to: ↑ 66 Changed 16 months ago by lafa

Replying to cipman:

Any fresh links to enable 3D accel for a win7 64 host with a linux guest (ubuntu 12.10) please? Thank you.

Here are the steps I followed, it should also work on win 7 64:

  • I installed VirtualBox-4.2.5-82494-OSX.dmg, Oracle_VM_VirtualBox_Extension_Pack-4.2.5-82494.vbox-extpack.
  • In ubuntu I did "sudo /media/lafa/VBOXADDITIONS_4.2.5_82479/VBoxLinuxAdditions.run" to install guest additions.
  • Enabled 3D Acceleration in Vbox Settings rebooted.
  • in Ubuntu executed "ccsm" go to OPENGL and disable everything (sync,texture,framebuffer,vertex, buffer swapping), this makes Compiz work a lot more stable, in VirtualBox.

I still have a problem when running in windowed mode, and the bug is:

  • In Full Screen mode, the mouse works great, but in my macbook pro 15 retina display, I'm having problems the VirtualBox rendering of the display of the guest OS, seems some calculation of X and Y axels to render the screen is off, by a lot and the mouse can not hit the right location on the guest OS.
  • View -> Scale Mode also does not work
Last edited 16 months ago by lafa (previous) (diff)

comment:68 Changed 16 months ago by lafa

Here is the link to a image reproducing the problem in window mode, where the mouse is useless because of the rendering bug.

http://4.bp.blogspot.com/-vK5ZR8-9ss8/UMzIlAUAsOI/AAAAAAAAE6M/xKPeMA9zCYU/s1600/VboxProblem.tiff

Last edited 16 months ago by lafa (previous) (diff)

comment:69 Changed 16 months ago by cipman

Thanks for replying but the issue is that the beta VirtualBox binaries for win7 are not available no more at the links given earlier in the thread (unlike the OSX ones).

comment:70 Changed 15 months ago by Paddy Landau

I don't know if this is any help, but  here is a solution for 12.10.

comment:71 Changed 5 months ago by michael

This ticket seems to discuss a number of issues, many of which should now be fixed. I will close it, please open new tickets (or find appropriate open ones) if necessary.

comment:72 Changed 5 months ago by michael

  • Status changed from new to closed
  • Resolution set to fixed
  • Summary changed from Ubuntu 12.10 unable to use 3d acceleration. Fails to build drm to Ubuntu 12.10 unable to use 3d acceleration. Fails to build drm -> base issue fixed as of VirtualBox 4.3
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use